This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 801302 - sqlalchemy-migrate warnings during openstack-nova-db-setup
sqlalchemy-migrate warnings during openstack-nova-db-setup
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openstack-nova (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pádraig Brady
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-08 04:00 EST by Mark McLoughlin
Modified: 2016-01-04 09:46 EST (History)
12 users (show)

See Also:
Fixed In Version: openstack-nova-2012.1-0.10.rc1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 23:00:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark McLoughlin 2012-03-08 04:00:39 EST
Just to track that these need fixing:

2012-03-08 08:42:41 WARNING nova.utils [-] /usr/lib/python2.7/site-packages/nova/db/sqlalchemy/migrate_repo/versions/075_convert_bw_usage_to_store_network_id.py:49: SADeprecationWarning: useexisting is deprecated.  Use extend_existing.
  useexisting=True)

2012-03-08 08:42:54 WARNING nova.utils [-] /usr/lib/python2.7/site-packages/nova/db/sqlalchemy/migrate_repo/versions/081_drop_instance_id_bw_cache.py:40: SADeprecationWarning: useexisting is deprecated.  Use extend_existing.
  useexisting=True)

This is with openstack-nova-2012.1-0.7.e4.fc17.noarch
Comment 1 Pádraig Brady 2012-03-08 04:40:07 EST
These will be fixed with:
https://review.openstack.org/#change,5031
Comment 2 Mark McLoughlin 2012-03-08 07:07:27 EST
(In reply to comment #1)
> These will be fixed with:
> https://review.openstack.org/#change,5031

That's a fix for glance, not nova
Comment 3 Pádraig Brady 2012-03-08 10:36:35 EST
Ah there was a similar fix for nova that died a death
https://bugs.launchpad.net/nova/+bug/941951

I'll send a patch...
Comment 4 Pádraig Brady 2012-03-08 11:46:55 EST
https://review.openstack.org/#change,5081
Comment 5 Fedora Update System 2012-03-16 19:54:59 EDT
openstack-nova-2012.1-0.8.e4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openstack-nova-2012.1-0.8.e4.fc17
Comment 6 Fedora Update System 2012-03-17 12:50:01 EDT
Package openstack-nova-2012.1-0.8.e4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openstack-nova-2012.1-0.8.e4.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-3964/openstack-nova-2012.1-0.8.e4.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-03-20 12:07:32 EDT
openstack-nova-2012.1-0.8.rc1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openstack-nova-2012.1-0.8.rc1.fc17
Comment 8 Fedora Update System 2012-03-26 05:15:30 EDT
openstack-nova-2012.1-0.9.rc1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openstack-nova-2012.1-0.9.rc1.fc17
Comment 9 Fedora Update System 2012-03-29 15:01:28 EDT
openstack-nova-2012.1-0.10.rc1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openstack-nova-2012.1-0.10.rc1.fc17
Comment 10 Fedora Update System 2012-04-11 23:00:49 EDT
openstack-nova-2012.1-0.10.rc1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.